Summary: An Enhanced Printer Spooler
Name: LPRng
Version: 3.6.18
Release: 1
Group: System Environment/Daemons
Copyright: OpenSource
URL: http://www.astart.com/
Vendor: Astart Technologies
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.astart.com/pub/LPRng/LPRng/LPRng-%{version}.tgz
Obsoletes: lpr
Provides: lpr = 0.48
Buildroot: /var/tmp/%{name}-root

%description
The  LPRng  software  is an enhanced, extended, and portable
implementation of the Berkeley LPR print spooler functionality.
While providing the same interface and meeting RFC1179 requirements,
the implementation  is  completely new and provides support for
the  following  features:  lightweight  (no  databases needed) lpr,
lpc, and lprm programs; dynamic redirection  of  print queues;
automatic job holding; highly verbose  diagnostics; multiple printers
serving a single  queue;  client  programs  do not need to run SUID
root;  greatly enhanced security checks; and a greatly improved
permission and authorization mechanism.


%prep
%setup -q


%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --sysconfdir=/etc
make 


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_PREFIX=$RPM_BUILD_ROOT \
	ROOT_PERMS=4755 MAKEPACKAGE=YES


%post
/sbin/chkconfig --add lprng

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del lprng
fi


%files
%defattr(-,root,root)
%doc ABOUT-NLS.LPRng CHANGES CONTRIBUTORS COPYRIGHT INSTALL 
%doc LICENSE README* Y2KCompliance
%config /etc/rc.d/init.d/lprng
%config /etc/lpd.conf
%config /etc/lpd.perms
/etc/lpd.conf.sample
/etc/lpd.perms.sample
/usr/bin/*
/usr/libexec/*
/usr/man/man*/*
/usr/sbin/*


%clean
rm -rf $RPM_BUILD_ROOT

